Retrieve a ChatKit thread
beta.chatkit.threads.retrieve(thread_id) -> ChatKitThread { id, created_at, object, 3 more }
GET
/chatkit/threads/{thread_id}Retrieve a ChatKit thread
require "openai"
openai = OpenAI::Client.new
chatkit_thread = openai.beta.chatkit.threads.retrieve("cthr_123")
puts(chatkit_thread)
Response example
{
"id": "cthr_abc123",
"object": "chatkit.thread",
"title": "Customer escalation",
"created_at": 1712345600,
"status": {
"type": "active"
},
"user": "user_123"
}
Returns Examples
Response example
{
"id": "cthr_abc123",
"object": "chatkit.thread",
"title": "Customer escalation",
"created_at": 1712345600,
"status": {
"type": "active"
},
"user": "user_123"
}